<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% load staticfiles %}
{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

<h3>{% trans "Search for new titles" %}</h3>
<div ng-cloak="ng-cloak" ng-show="cards" ng-controller="searchResultsController">
  <div>
    <uib-alert ng-repeat="alert in alerts" type="{{ 'alert.level' | ng }}" close="closeAlert($item)" ng-click="closeAlert($item)">{{ 'alert.message' | ng }}

    </uib-alert>
  </div>
  <div class="row">
    <form ng-submit="validate()">
      <div>
        <div id="defaultdatasource" hidden="hidden">{{ default_datasource }}</div>
        <div class="col-md-2">
          <select ng-model="datasource" ng-options="elt.name for elt in datasources" ng-change="saveDatasource()" class="form-control"></select>
        </div>
        <div class="col-md-4">
          <div class="input-group">
            <input id="default-input" ng-model="query" type="text" placeholder="{% trans "Search on title, authors or isbn" %}" class="form-control"/><span class="input-group-btn">
              <button id="submit-button" ng-click="validate()" type="submit" placeholder="{% trans 'Key words, or ean/isbn' %}" class="btn btn-primary">{% trans "Search" %}</button></span>
          </div>
        </div>
        <div class="col-md-4">{% if  user.is_staff %}<span>{% trans "or" %}: <a href="{% url 'card_create_manually' %}">{% trans "Add a card manually" %}</a></span>{% endif %}
        </div>
      </div>
    </form>
  </div>
  <div ng-show="cards.length != 0" style="padding-top: 5px" class="row">
    <div class="col-md-10">{% if  user.is_staff %}
      <div class="btn-group">
        <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn btn-default dropdown-toggle">{% trans "Action" %}<span class="caret"></span>
        </button>
        <ul class="dropdown-menu">
          <li><a href="#" ng-click="add_to_command()" title="{% trans "Mark this card to command." %}">{% trans 'Add to the command…' %}</a>
          </li>
          <li><a href="#" ng-click="open_list_select()" title="{% trans "Add the cards selected to basket(s)" %}">{% trans 'Add to list…' %}</a>
          </li>
          <li><a href="#" ng-click="open_inv_select()" title="{% trans "Add the cards selected to an ongoing inventory" %}">{% trans "Add to inventory…" %}</a>
          </li>
        </ul>
      </div>{% endif %}
      <div class="btn-group">
        <button ng-click="toggle_images()" title="{% trans "Hide and show covers" %}" class="btn btn-default"><i class="glyphicon glyphicon-th-list"></i>
        </button><a role="button" href="http://abelujo.cc/docs/new_card/" target="_blank" title="{% trans "Read the documentation" %}" class="btn btn-default"><i class="glyphicon glyphicon-question-sign"></i></a>
      </div>
    </div>
    <div class="col-md-2">
      <nav style="float: right;">
        <ul class="pagination">
          <li class="mouse-pointer"><a ng-click="previous_results()" aria-label="Previous" title="{% trans 'Previous results' %}"><span aria-hidden="true">&laquo;</span></a>
          </li>
          <li class="mouse-pointer"><a ng-click="next_results()" aria-label="Next" title="{% trans 'Next results' %}"><span aria-hidden="true">&raquo;</span></a>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <div ng-cloak="ng-cloak" ng-hide="cards.length" class="middle"><em>{% trans "Search cards by key words or by isbn." %}</em>
  </div>
  <div id="message" ng-show="data.message" ng-class="data.message_status">{{ 'data.message' | ng }}</div>
  <table ng-cloak="ng-cloak" ng-show="cards.length != 0" class="table table-striped">
    <thead>
      <th>
        <input type="checkbox" ng-click="toggleAll()"/>
      </th>
      <th ng-show="show_images"></th>
      <th>{% trans "Title" %}</th>
      <th>{% trans "Authors" %}</th>
      <th>{% trans "Publishers" %}</th>
      <th>{% trans "Supplier" %}</th>
      <th>{% trans "Price" %}</th>
      <th></th>
    </thead>
    <tbody>
      <tr id="card" ng-repeat="card in cards">
        <td>
          <input type="checkbox" ng-model="card.selected"/>
        </td>
        <td ng-show="show_images">
          <div ng-show="show_images" class="col-md-6">

            <!-- Click to enlarge image. Here, differentiate cards by ISBN, not ID (search results may have ID of 0, not in stock). -->
            <a data-toggle="modal"
                   data-target="#enlargeImageModal{{ 'card.isbn' | ng }}"
	           title="{% trans 'Enlarge image' %}">
                  <img ng-show="card.img" ng-src="{{ 'card.img' | ng }}" class="myImg mouse-pointer" alt="cover image"/>
            </a>
          </div>

          <!-- enlargeImageModal ci-dessous: -->
          <div id="enlargeImageModal{{ 'card.isbn' | ng }}" class="modal">
                {% include "search/modale_enlarge_image_body.html" %}
          </div>

          </div>
        </td>
        <td><span ng-class="{'label-success': card.in_stock > 0, 'label-danger': card.in_stock < 0}" ng-show="card.in_stock != null" title="{% trans "This card is already in your stock" %}" class="label label-as-badge label-default">{{'card.in_stock'|ng}}
</span><span><a ng-show="details_url_for(card)" href="{{ 'details_url_for(card)' | ng }}" target="_blank">&nbsp; {{ 'card.title' | ng }}</a><span ng-hide="details_url_for(card)">{{ 'card.title' | ng }}</span></span>
          <div ng-show="show_images && card.isbn"><b>isbn: </b><span>{{ 'card.isbn' |ng}}</span>
          </div>

          <div ng-show="show_images">{{ 'card.date_publication' | ng }}</div>
          <div ng-show="show_images && card.fmt">{{ 'card.fmt' | ng }}</div>
          <div ng-class="{'text-danger': is_not_available(card.availability)}" ng-show="show_images">{{ 'card.availability' | ng }}</div>
        </td>
        <td>
          <div>{{ 'card.authors_repr' | ng }}</div>
        </td>
        <td>
          <div>{{ 'card.pubs_repr' | ng }}</div>
        </td>
        <td>
          <div ng-show="card.distributor_repr">{{ 'card.distributor_repr' | ng }}</div>
          <div ng-hide="card.distributor_repr" style="color: grey" title="Cette donnée n'est pas disponible dans les résultats de recherche. Vous avez besoin d'un abonnement supérieur (FEL complet, Electre).">{% trans "not available" %} &nbsp;<i class="glyphicon glyphicon-question-sign"></i>
          </div>
        </td>
        <td>
          <div>{{ 'card.price_fmt'|ng }}&nbsp;</div>
        </td>
        <td>{% if  user.is_staff %}
          <div class="row">
            <button ng-click="create_and_add(card)" title="{% trans "Add to your stock" %}" target="_blank" class="btn btn-primary">{% trans "Add…" %}</button>
            <div>
              <!--div isbn: {{ 'card.isbn' | ng }}-->
              <button type="button" data-toggle="modal" data-target="#reserveModal" id="{{ 'card.isbn' | ng }}" title="Réserver pour un client" onclick="save_isbn_for_reservation(this.id)" class="btn btn-default"><i class="glyphicon glyphicon-user"></i>
              </button>
              <button type="button"
                      id="command-{{ 'card.isbn' | ng }}"
                      title="Command"
                      ng-click="do_card_command(card.isbn)"
                      class="btn btn-warning">
                <i class="glyphicon glyphicon-shopping-cart"></i>
              </button>
            </div>
          </div>{% endif %}<!--div.row
          <button ng-click="create_and_command_client(card)" title="{% trans "Command for a client" %}" class="btn">{% trans "Command…" %}</button>-->
        </td>
      </tr>
    </tbody>
  </table>
  <nav style="float: right;" ng-show="cards.length != 0">
    <ul class="pagination">
      <li class="mouse-pointer"><a ng-click="previous_results()" aria-label="Previous" title="{% trans 'Previous results' %}"><span aria-hidden="true">&laquo;</span></a>
      </li>
      <li class="mouse-pointer"><a ng-click="next_results()" aria-label="Next" title="{% trans 'Next results' %}"><span aria-hidden="true">&raquo;</span></a>
      </li>
    </ul>
  </nav>
  <div ng-show="no_results">
    <div class="row">
      <div class="col-md-2"></div>
      <div class="col-md-4">
        <div class="panel panel-info">
          <div class="panel-body">
            <div>{% trans "No results !" %}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/ng-template" id="SearchResultsModal.html">
    <div class="modal-header">
      <h3 class="modal-title">{% trans "Add to basket(s)" %}</h3>
    </div>
    <div class="modal-body">
      <div ng-repeat="basket in baskets"><span>
          <input type="checkbox" ng-model="selected_baskets[basket.id]"/>
          <label>{{ 'basket.name' | ng}}</label></span>
      </div>
      <button ng-click="ok()" class="btn btn-primary">OK</button>
    </div>
  </script>
  <script type="text/ng-template" id="SearchResultsAddToInventoryModal.html">
    <div class="modal-header">
      <h3 class="modal-title">{% trans "Choose an inventory" %}</h3>
    </div>
    <div class="modal-body">
      <div class="row">
        <div class="col-lg-9">
          <select ng-model="inventory" ng-options="it.name for it in inventories" class="form-control"></select>
        </div>
        <div class="col-lg-3">
          <button ng-click="ok()" class="btn btn-primary">OK</button>
        </div>
      </div>
    </div>
  </script>
</div>
<!-- ! Copied from card_show :(-->
<div id="reserveModal" class="modal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Réserver</h4>
        <button type="button" data-dismiss="modal" class="close"></button>
      </div>
      <div class="modal-body">
        <h5>{% trans "Clients" %}</h5>
        <form>
          <div class="form-group">
            <label>Client</label>
            <input id="clients-input" autofocus="autofocus" type="text" list="clients-select" onkeydown="if (event.keyCode == 13) validate_reservation()" class="form-control"/>
            <datalist id="clients-select">{% for client in clients %}
              <option value="{{ client.ascii_repr }}" id="{{ client.id }}"></option>{% endfor %}
            </datalist><small class="form-text text-muted">{% trans "Cherchez sans accents" %}</small>
          </div>
          <div class="form-group">
            <label>{% trans "Quantity" %}</label>
            <input id="input-quantity" type="number" default="1" max="99" min="1" value="1" onkeydown="if (event.keyCode == 13) validate_reservation()" class="form-control"/>
          </div>
        </form>
        <button type="button" onclick="validate_reservation()" class="btn btn-success">OK</button><br/>{% if  reservations %}
        <h5>{% trans "Ces clients ont réservé cette notice" %}:</h5>
        <table class="table table-condensed">{% for resa in reservations %}
          <tr id="#resa-{{ resa.client.id }}">
            <td>
              <h4><a href="{{ resa.client.get_absolute_url }}" target="_blank">{{ resa.client.repr }} &nbsp;<i class="glyphicon glyphicon-share"></i></a>
              </h4>
            </td>
            <td>{% if  resa.client.mobilephone %}<span>{{ resa.client.mobilephone }} <i class="glyphicon glyphicon-phone"></i></span>{% endif %}
            </td>
            <td>
              <button type="button" onclick="cancel_reservation({{ resa.client.id }})" name="cancel-reservation" alt="Cancel reservation"><i class="glyphicon glyphicon-remove"></i>
              </button>
            </td>
          </tr>{% endfor %}
        </table>{% endif %}
      </div>
    </div>
  </div>
</div>
<!-- important to run this last, so CSS selectors select something.-->
<script type="text/javascript" src="{% static 'search/js/card.js' %}"></script>{% endblock content %}
